Skip to content

List locations

GET
/locations

List locations by organization

Authorizations

bearerAuth

Generate an API token here

Type
HTTP (bearer)

Parameters

Header Parameters

compatibility-date*

API compatibility date in YYYY-MM-DD format. Must be a date after 2025-11-01.

Type
string
Required
Example"2025-11-01"
Pattern
"^\\d{4}-\\d{2}-\\d{2}$"
organization-id*
Type
string
Required
Min Length
1
Max Length
40

Query Parameters

filter

Filter criteria for locations. Allowed fields: id, createdAt, lat, lon, public. Allowed operators: eq, ne, lt, gt, lte, gte, contains

sort
Type
string
Default
"-createdAt"
Min Length
1
Max Length
256
include

Related entities to include in the response. Allowed fields: chargers

Type
string
Min Length
1
Max Length
512
aggregate

Aggregation functions to apply. Supported functions: count, sum, avg, min, max. Format: function:field.subfield (e.g. count:sessions.energy)

Type
string
Min Length
1
Max Length
512
aggregate_interval

Time bucket interval (e.g. 1m, 2h, 1d). Required when aggregate is set.

Type
string
Min Length
2
Max Length
16
page

1-based page index

Type
integer
Default
1
Exclusive Minimum
0
Maximum
4294967295
per_page

Page size

Type
integer
Default
10
Exclusive Minimum
0
Maximum
100

Responses

success.location.list

application/json
object
object[]
Required
Minimum0
Maximum9007199254740991

Playground

Authorization
Headers
Variables
Key
Value

Samples